## org.eclipse.xsd.util
Class XSDUtil.UsageCrossReferencer

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<EObject,java.util.Collection<EStructuralFeature.Setting>>
              org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
                  org.eclipse.emf.ecore.util.EcoreUtil.UsageCrossReferencer
                      org.eclipse.xsd.util.XSDUtil.UsageCrossReferencer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>

Enclosing class:
  XSDUtil

    public static class XSDUtil.UsageCrossReferencer

extends EcoreUtil.UsageCrossReferencer

A cross referencer that finds each usage of an EObject or collection of EObjects, excluding unintesting derived references.

See Also:
  Serialized Form

Field Summary
`protected java.util.Collection<?>` `eObjectsOfInterest`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
`emfObjects`

Constructor Summary
`protected` `XSDUtil.UsageCrossReferencer(java.util.Collection<?> emfObjects)`
`protected` `XSDUtil.UsageCrossReferencer(EObject eObject)`
`protected` `XSDUtil.UsageCrossReferencer(Resource resource)`
`protected` `XSDUtil.UsageCrossReferencer(ResourceSet resourceSet)`

Method Summary
`protected boolean` `crossReference(EObject eObject, EReference eReference, EObject crossReferencedEObject)`
`static java.util.Collection<EStructuralFeature.Setting>` `find(EObject eObjectOfInterest, java.util.Collection<?> emfObjectsToSearch)`
`static java.util.Collection<EStructuralFeature.Setting>` `find(EObject eObjectOfInterest, EObject eObject)`
`static java.util.Collection<EStructuralFeature.Setting>` `find(EObject eObjectOfInterest, Resource resource)`
`static java.util.Collection<EStructuralFeature.Setting>` `find(EObject eObjectOfInterest, ResourceSet resourceSet)`
`static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>` `findAll(java.util.Collection<?> eObjectsOfInterest, java.util.Collection<?> emfObjectsToSearch)`
`static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>` `findAll(java.util.Collection<?> eObjectsOfInterest, EObject eObject)`
`static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>` `findAll(java.util.Collection<?> eObjectsOfInterest, Resource resource)`
`static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>` `findAll(java.util.Collection<?> eObjectsOfInterest, ResourceSet resourceSet)`
`protected java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>>` `findAllUsage(java.util.Collection<?> eObjectsOfInterest)`
`protected java.util.Collection<EStructuralFeature.Setting>` `findUsage(EObject eObject)`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
`add, containment, crossReference, done, find, getCollection, getCrossReferences, handleCrossReference, newCollection, newContentsIterator, print, print, resolve, toString`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### eObjectsOfInterest

    protected java.util.Collection<?> eObjectsOfInterest

Constructor Detail

### XSDUtil.UsageCrossReferencer

    protected XSDUtil.UsageCrossReferencer(EObject eObject)

### XSDUtil.UsageCrossReferencer

    protected XSDUtil.UsageCrossReferencer(Resource resource)

### XSDUtil.UsageCrossReferencer

    protected XSDUtil.UsageCrossReferencer(ResourceSet resourceSet)

### XSDUtil.UsageCrossReferencer

    protected XSDUtil.UsageCrossReferencer(java.util.Collection<?> emfObjects)

Method Detail

### crossReference

    protected boolean crossReference(EObject eObject,
                                     EReference eReference,
                                     EObject crossReferencedEObject)

  Overrides:
    `crossReference` in class `EcoreUtil.UsageCrossReferencer`

### findUsage

    protected java.util.Collection<EStructuralFeature.Setting> findUsage(EObject eObject)

  Overrides:
    `findUsage` in class `EcoreUtil.UsageCrossReferencer`

### findAllUsage

    protected java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>> findAllUsage(java.util.Collection<?> eObjectsOfInterest)

  Overrides:
    `findAllUsage` in class `EcoreUtil.UsageCrossReferencer`

### find

    public static java.util.Collection<EStructuralFeature.Setting> find(EObject eObjectOfInterest,
                                                                        EObject eObject)

### find

    public static java.util.Collection<EStructuralFeature.Setting> find(EObject eObjectOfInterest,
                                                                        Resource resource)

### find

    public static java.util.Collection<EStructuralFeature.Setting> find(EObject eObjectOfInterest,
                                                                        ResourceSet resourceSet)

### find

    public static java.util.Collection<EStructuralFeature.Setting> find(EObject eObjectOfInterest,
                                                                        java.util.Collection<?> emfObjectsToSearch)

### findAll

    public static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>> findAll(java.util.Collection<?> eObjectsOfInterest,
                                                                                                  EObject eObject)

### findAll

    public static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>> findAll(java.util.Collection<?> eObjectsOfInterest,
                                                                                                  Resource resource)

### findAll

    public static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>> findAll(java.util.Collection<?> eObjectsOfInterest,
                                                                                                  ResourceSet resourceSet)

### findAll

    public static java.util.Map<EObject,java.util.Collection<EStructuralFeature.Setting>> findAll(java.util.Collection<?> eObjectsOfInterest,
                                                                                                  java.util.Collection<?> emfObjectsToSearch)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.